---
title: Origin
slug: Web/HTTP/Headers/Origin
tags:
  - HTTP
  - Reference
  - Request header
  - header
  - origin
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Origin</code></strong> request header indicates where a fetch originates from. It doesn't include any path information, but only the server name. It is sent with {{Glossary("CORS")}} requests, as well as with {{HTTPMethod("POST")}} requests. It is similar to the {{HTTPHeader("Referer")}} header, but, unlike this header, it doesn't disclose the whole path.</p>

<div class="notecard note">
<p><strong>Note</strong>: The {{httpheader("Origin")}} header is not set on <a href="/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch">Fetch requests</a> with a method of {{HTTPMethod("HEAD")}} or {{HTTPMethod("GET")}} (this behavior was corrected in Firefox 65 — see {{bug(1508661)}}).</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Origin: null
Origin: &lt;scheme&gt; "://" &lt;hostname&gt; [ ":" &lt;port&gt; ]
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;scheme&gt;</dt>
 <dd>The protocol that is used. Usually it is the HTTP protocol or its secured version, HTTPS.</dd>
 <dt>&lt;hostname&gt;</dt>
 <dd>The domain name of the server (for virtual hosting) or the IP.</dd>
 <dt>&lt;port&gt; {{optional_inline}}</dt>
 <dd>TCP port number on which the server is listening. If no port is given, the default port for the service requested (e.g., "80" for an HTTP URL) is implied.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="notranslate">Origin: https://developer.mozilla.org</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("6454", "Origin", "7")}}</td>
   <td>The Web Origin Concept</td>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#origin-header','Origin header')}}</td>
   <td>Supplants the <code>Origin</code> header as defined in RFC6454.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("http.headers.Origin")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Host")}}</li>
 <li>{{HTTPHeader("Referer")}}</li>
 <li><a href="/en-US/docs/Web/Security/Same-origin_policy">Same-origin policy</a></li>
</ul>
